:root {
    --shape-color1: #ff85da;
    --shape-color2: #ff684a;
    --shape-color3: #fffd44;
    --shape-width2: 35%;
    --shape-width3: 25%;
    --shape-height2: 80%;
    --shape-height3: 80%;
    --shape-rotate2: 180deg;
    --shape-rotate3: -270deg;
        --scrollbar-width: 0;
    --scrollbar-height: 0;
    /* --scrollbar-width: 20px; */
    --scrollbar-right: 0px;
    --scrollbar-left: 17px;
    --log-width: 180px;
}
/* ============================================================================= */
/* Default */
/* ============================================================================= */
* {
  touch-action: manipulation;
}

html,body {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  overflow: hidden;
  overscroll-behavior: none;
}

body {
  /* background-color: rgb(236, 235, 121); */
  /* font-family: 'NeueHaasGroteskDisplayPro-Black'; */
  font-family: 'ABCReproVariable';
	font-variation-settings: "wght" 900, "slnt" 0;
}

::-webkit-scrollbar { 
  width: 0;
  height: 0;
}


button {
  /* font-family: 'NeueHaasGroteskDisplayPro-Black'; */
  font-family: 'ABCReproVariable';
	font-variation-settings: "wght" 900, "slnt" 0;
  background: transparent;
  border: none;
  font-size: 15px;
  color: black;
}

img {
  width: 100%;
}

svg {
  max-width: none !important;
}

/* ============================================================================= */
/* Menu */
/* ============================================================================= */
#menu-top-l {
  position: fixed;
  top: 9px;
  left: 10px;
  /* -webkit-transform: translate(-50%, 0);
  -moz-transform: translate(-50%, 0);
  -ms-transform: translate(-50%, 0);
  -o-transform: translate(-50%, 0);
  transform: translate(-50%, 0); */
  font-size: 15px;
  text-wrap: nowrap;
  z-index: 9;
  color: white;
  mix-blend-mode: difference;
}

#menu-top-r {
  display: none;
  position: fixed;
  top: 0;
  right: 0;
  margin: 0;
  padding: 0;
  z-index: 9;
  color: white;
  mix-blend-mode: difference;
}

#menu-top-r>button {
  padding: 9px 10px 40px 40px;
  color: white;
}

.menu-top-bg {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 200px;
  background: white;
  pointer-events: none;
}


#menu-bottom-l {
  position: fixed;
  bottom: 0;
  left: 0;
  margin: 0;
  padding: 0;
  z-index: 10;
}

#menu-bottom-l>button {
  padding: 40px 40px 9px 10px;
}

#menu-bottom-r {
  position: fixed;
  bottom: 0;
  right: 0;
  margin: 0;
  padding: 0;
  z-index: 9;
}

#menu-bottom-r>button {
  padding: 40px 10px 9px 40px;
}

.menu-bottom-bg {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 36px;
  /* height: 30px; */
  background: linear-gradient(0deg, rgb(255, 255, 255) 0%, rgb(255, 255, 255) 90%, rgba(255, 255, 255, 0) 100%);
  z-index: 8;
}


/* ============================================================================= */
/* Side Scroll */
/* ============================================================================= */
.side-container {
  position: fixed;
  /* top: 451px; */
  top: calc(56dvh - 8px);
  right: -1px;
  height: calc(44dvh - 18px);
  /* top: calc(56dvh + 80px);
  right: 9px;
  height: calc(44dvh - 80px - 26px); */
  margin: 0;
  padding: 0;
  z-index: 11;
}

#side {
  position: relative;
  top: 0%;
  padding-left: 5px;
  cursor: grab;
  pointer-events: auto;
  touch-action: none;
}

#side:active {
  cursor: grabbing;
}

#side-img {
  width: 11px;
}

#side-text {
  /* -webkit-transform: rotate(-180deg);
  -moz-transform: rotate(-180deg);
  -ms-transform: rotate(-180deg);
  -o-transform: rotate(-180deg);
  transform: rotate(-180deg); */

  -webkit-transform: rotate(270deg) translateX(100%);
  -moz-transform: rotate(270deg) translateX(100%);
  -ms-transform: rotate(270deg) translateX(100%);
  -o-transform: rotate(270deg) translateX(100%);
  transform: rotate(270deg) translateX(100%);
  transform-origin: top right;

  margin-block-start: 0;
  margin-block-end: 0;
  /* writing-mode: vertical-rl; */
  font-variation-settings: "wght" 700, "slnt" -14;
  font-size: 9px;
  color: #f592ff;
}

#side-text:hover {
  color: white;
  text-shadow: 0 0 2px #464646;
}

    

/* ============================================================================= */
/* Content */
/* ============================================================================= */


#content {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  /* height: 100%; */
  /* padding: 100px 0 0 0; */
  
  display: flex;
  flex-direction: column;
  align-items: center;
  
  font-family: 'NeueHaasGroteskDisplayPro-Black';
  font-size: 16px;
  text-align: center;
  
  overflow-x: hidden;
  overflow-y: auto;
  z-index: 2;
  /* backdrop-filter: blur(9px); */
}

.entry {
  position: relative;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  text-align: center;
  transform: scale(1);
}

#drawingArea {
  /* transform: scale(0.5); */
  /* border: 2px solid black; */
}


/* ============================================================================= */
/* Info */
/* ============================================================================= */
#img-container {
  display: none;
  position: fixed;
  top: 0;
  left: 10px;
  width: calc(100% - 20px);
  height: 100dvh;
  overflow-x: hidden;
  overflow-y: scroll;
  overscroll-behavior: contain;
  -webkit-overflow-scrolling: touch;
  /* height: calc(100% - 35px); */
  z-index: 4;
  pointer-events: none;
}

#imgBook {
  height: 100%;
  padding-top: 80px;
}

#imgBook p {
  padding: 35px 0 10px 0;
  /* padding: 371px 0 15px 0; */
  font-variation-settings: "wght" 700, "slnt" 0;
  font-size: 14px;
  text-align: justify;
  color: #919191;
}

#text-container {
  display: none;
  position: fixed;
  top: 9px;
  left: 50%;
  -webkit-transform: translate(-50%, 0%);
  -moz-transform: translate(-50%, 0%);
  -ms-transform: translate(-50%, 0%);
  -o-transform: translate(-50%, 0%);
  transform: translate(-50%, 0%);
  width: calc(100% - 20px);
  height: calc(100% - 35px);
  z-index: 3;
  mix-blend-mode: plus-lighter;
  overflow-x: hidden;
  overflow-y: auto;
  overscroll-behavior: contain;
  -webkit-overflow-scrolling: touch;
  scrollbar-width: none;        /* Firefox */
  -ms-overflow-style: none;     /* IE/Edge */
}

#text-container::-webkit-scrollbar {
  display: none;                /* Chrome, Safari */
}

.active {
  display: block !important;
}

.sectionPadding {
  height: 56dvh;
  /* height: 53dvh; */
}

#infoText {
  /* padding-bottom: 800px; */
  /* display: block;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 3;
  mix-blend-mode: plus-lighter; */
}

#infoText p {
  padding: 0 0 10px 0;
  /* padding: 371px 0 15px 0; */
  font-variation-settings: "wght" 700, "slnt" 0;
  font-size: 14px;
  text-align: justify;
  color: #919191;
}

#bookText {
  display: none;
}

#bookText p {
  padding: 0 0 10px 0;
  /* padding: 371px 0 15px 0; */
  font-variation-settings: "wght" 700, "slnt" 0;
  font-size: 14px;
  text-align: justify;
  color: #919191;
}
/* ============================================================================= */

.timestamp {
  text-decoration: line-through;
}

svg {
  max-width: 100%;
}

.floating {
    animation: floaty 2s ease-in-out infinite;
}

@keyframes floaty {
  0%   { transform: translateY(0px); }
  50%  { transform: translateY(-8px); }
  100% { transform: translateY(0px); }
}

.longitude {
  position: fixed;
  left: 50%;
  width: 350px;

  font-family: 'NeueHaasGroteskDisplayPro-Black';
  font-size: 80px;
  text-align: right;
  z-index: 5;
  pointer-events: none;
}

.long-T {
  top: -15px;
  -webkit-transform: translate(-50%, 0);
  -moz-transform: translate(-50%, 0);
  -ms-transform: translate(-50%, 0);
  -o-transform: translate(-50%, 0);
  transform: translate(-50%, 0);
}

.long-B {
  bottom: -15px;
  -webkit-transform: translate(-50%, 0) scale(-1);
  -moz-transform: translate(-50%, 0) scale(-1);
  -ms-transform: translate(-50%, 0) scale(-1);
  -o-transform: translate(-50%, 0) scale(-1);
  transform: translate(-50%, 0) scale(-1);
}

/* ---------------------------------------- */
.latitude {
  position: fixed;
  top: 50%;
  height: 300px;

  font-family: 'NeueHaasGroteskDisplayPro-Black';
  font-size: 80px;
  text-align: right;
  z-index: 5;
  pointer-events: none;
}

.lat-L {
  left: -15px;
  writing-mode: vertical-rl;
  -webkit-transform: translate(0, calc(-50% - 30px)) scale(-1);
  -moz-transform: translate(0, calc(-50% - 30px)) scale(-1);
  -ms-transform: translate(0, calc(-50% - 30px)) scale(-1);
  -o-transform: translate(0, calc(-50% - 30px)) scale(-1);
  translate: translate(0, calc(-50% - 30px)) scale(-1);
}

.lat-R {
  right: -15px;
  writing-mode: vertical-rl;
  -webkit-transform: translate(0, calc(-50% - 30px));
  -moz-transform: translate(0, calc(-50% - 30px));
  -ms-transform: translate(0, calc(-50% - 30px));
  -o-transform: translate(0, calc(-50% - 30px));
  transform: translate(0, calc(-50% - 30px));
}
